Bug 249089 - Addition of >1 fully virtualized fails, and worse
Addition of >1 fully virtualized fails, and worse
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
ia64 Linux
low Severity urgent
: ---
: ---
Assigned To: Xen Maintainance List
: OtherQA
Depends On:
Blocks: 223107
  Show dependency treegraph
Reported: 2007-07-20 16:18 EDT by Chuck Morrison
Modified: 2009-06-19 19:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-09 13:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chuck Morrison 2007-07-20 16:18:55 EDT
Description of problem:

After creating and running one fully virtualized domU, I create and install
another on a different partition of the same disk while dom1 is running using
virt-manager. Both are installed with RHEL defaults (lvm etc). The new domU
installs but will not first boot either in VMM or xm. The new dom2 VM Console
never gets to elilo, nor does xm console. I shut off dom1 and am unable to
restart it, getting the same behaviour as dom2 now. A reboot of dom0 does not
help. The domU systems are both trashed.

Version-Release number of selected component (if applicable):

rhel5.1 prebeta

How reproducible:


Steps to Reproduce:
1. see above
Actual results:

two unusable domU installations

Expected results:

two domU installations running at the same time.

Additional info:

This is on a maxed out HP rx2660 dual Itanium monecito procs, 48G ram
Comment 1 Chuck Morrison 2007-07-23 11:38:51 EDT
Further attempts at installing domUs of either type fails. In Virt-Manager I see
the new domU running with 0.00% cpu, but I can't get to a console either in
virt-manager or xm. All these installs were to a disk partion.

Without in depth knowledge of xen, this requires a new dom0 install to get
beyond this point. 
Comment 3 Hugh Brock 2007-08-06 15:22:28 EDT
Hi there. Can you attach xend.log, xend-debug.log, and
/root/.virt-manager/virt-manager.log so we can have a look?

Comment 4 Chuck Morrison 2007-08-06 15:42:08 EDT
This machine was reinstalled with the partner-beta and I haven't seen this exact
behavior since. So unfortunately, I can't send any logs for this instance. 

I have seen the inability to boot a newly installed domU, but not loosing both
domUs at the same time (during install of domU #2). I will try to duplicate the
original case on the newer partner beta and see what happens.
Comment 5 Hugh Brock 2007-08-06 16:00:06 EDT
OK, please let us know and post logs if you can reproduce it. If not please
close this bug.
Comment 6 Jarod Wilson 2007-08-06 18:39:46 EDT
Tried just now, and I had no problems installing and spinning up another hvm
guest with one already running. I'm also running on an hp rx2660, albeit with
only 16GB of RAM, and I'm using file-backed storage instead of lvm. I suppose I
really ought to carve up my disks further (or get some more) so I can do
lvm-based installs too though...
Comment 7 Eric Schwartz 2007-08-08 19:42:15 EDT
I can't reproduce this on an rx2660 with 16GB either; chuck, how about closing
this one unless you can reproduce it?
Comment 8 Chuck Morrison 2007-08-09 13:43:00 EDT
I'm closing this as I haven't been able to reproduce this on later installs.
I'll reopen it if I can find a recipe for doing so.

Note You need to log in before you can comment on or make changes to this bug.